---
title: Update FR Postal Code Rate
slug: api-documentation/update-fr-postal-code-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "i8vbdDdj1m65EefHg6Zq-",
  "type": "api-oas-v2",
  "data": {
    "method": "PUT",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate/{postalCode}",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate/{postalCode}"
      }
    ],
    "name": "Update FR Postal Code Rate",
    "description": "<p>This endpoint is used to update postal code rates for FR.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.write</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "FRPostalCodeRate",
          "schema": [
            {
              "name": "siteId",
              "kind": "required",
              "type": "string",
              "description": ""
            },
            {
              "name": "postalCode",
              "kind": "required",
              "type": "string",
              "description": "",
              "minLength": 1
            },
            {
              "name": "isActive",
              "kind": "optional",
              "type": "boolean",
              "description": "",
              "default": true
            },
            {
              "name": "frPostalRate",
              "kind": "required",
              "type": "object",
              "description": "",
              "example": "",
              "schema": [
                {
                  "name": "basicDeliveryCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "",
                  "minimum": 0,
                  "maximum": 9999
                },
                {
                  "name": "basicRateUpperSubtotalLimit",
                  "kind": "required",
                  "type": "number",
                  "description": "",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "basicRatePromotionalSubtotalLimit",
                  "kind": "optional",
                  "type": "number",
                  "description": "",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "premiumDeliveryCharges",
                  "kind": "required",
                  "type": "number",
                  "description": "",
                  "minimum": 0,
                  "maximum": 9999
                },
                {
                  "name": "baseMinimumCost",
                  "kind": "required",
                  "type": "number",
                  "description": "",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "baseMaximumCost",
                  "kind": "required",
                  "type": "number",
                  "description": "",
                  "minimum": 0,
                  "maximum": 999999
                },
                {
                  "name": "percentageSubtotal",
                  "kind": "required",
                  "type": "number",
                  "description": "",
                  "minimum": 0,
                  "maximum": 100
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/FRPostalCodeRate",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Updated",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "2XdFUXp7C_4fhZlydr188",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request PUT \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate/{postalCode} \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '{\n     \"siteId\": \"\",\n     \"postalCode\": \"\",\n     \"isActive\": true,\n     \"frPostalRate\": {\n     \"basicDeliveryCharges\": \"\",\n     \"basicRateUpperSubtotalLimit\": \"\",\n     \"premiumDeliveryCharges\": \"\",\n     \"baseMinimumCost\": \"\",\n     \"baseMaximumCost\": \"\",\n     \"percentageSubtotal\": \"\"\n     }\n     }'"
        },
        {
          "id": "96jicOTfyqb_Vh2JuAspO",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify({\n   \"siteId\": \"\",\n   \"postalCode\": \"\",\n   \"isActive\": true,\n   \"frPostalRate\": {\n      \"basicDeliveryCharges\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"percentageSubtotal\": \"\"\n   }\n});\n\nvar requestOptions = {\n   method: 'PUT',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate/{postalCode}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "LbXpisV5G8Z4PCrg61fMG",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate/{postalCode}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump({\n   \"siteId\": \"\",\n   \"postalCode\": \"\",\n   \"isActive\": true,\n   \"frPostalRate\": {\n      \"basicDeliveryCharges\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"percentageSubtotal\": \"\"\n   }\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "r-Rphno39VLL5QGvqfmFy",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/fr-postal-code-rate/{postalCode}\"\n\npayload = json.dumps({\n   \"siteId\": \"\",\n   \"postalCode\": \"\",\n   \"isActive\": True,\n   \"frPostalRate\": {\n      \"basicDeliveryCharges\": \"\",\n      \"basicRateUpperSubtotalLimit\": \"\",\n      \"premiumDeliveryCharges\": \"\",\n      \"baseMinimumCost\": \"\",\n      \"baseMaximumCost\": \"\",\n      \"percentageSubtotal\": \"\"\n   }\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"PUT\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "2XdFUXp7C_4fhZlydr188"
    },
    "results": {
      "languages": [
        {
          "id": "9_MpKBk7QX0YJFS-no-Jx",
          "language": "200",
          "code": "// Updated\n"
        },
        {
          "id": "LT7AwCGo-XUmddb26uckx",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "xI3EKmHGnKgc5f86IEWGK",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "9_MpKBk7QX0YJFS-no-Jx"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}